%define upstream_name    Apache-DBI
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    1.120.0
Release:    %mkrel 9

Summary:    Initiate a persistent database connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module initiates a persistent database connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Apache
%{_mandir}/*/*


%changelog
* Thu Apr 18 2019 tex 1.120.0-9pclos2019
- rebuild
